com.holonplatform.jaxrs.swagger.spring

## Class SwaggerConfigurationProperties

- java.lang.Object
- - com.holonplatform.jaxrs.swagger.spring.SwaggerConfigurationProperties

-     @ConfigurationProperties(prefix="holon.swagger")
      public class SwaggerConfigurationProperties
      extends Object

  Configuration properties for Swagger auto configuration.
  Since:
    5.0.0
  See Also:
    http://docs.spring.io/spring-boot/docs/current/reference/html/boot-features-external-config.html

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SwaggerConfigurationProperties.ApiGroupConfiguration` API group configuration.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwaggerConfigurationProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SwaggerConfigurationProperties.ApiGroupConfiguration>` | `getApiGroups()`
    `String[]` | `getAuthSchemes()`
    `String` | `getContact()`
    `String` | `getDescription()`
    `String` | `getHost()`
    `String` | `getLicense()`
    `String` | `getLicenseUrl()`
    `String` | `getPath()`
    `String` | `getResourcePackage()`
    `String[]` | `getSchemes()`
    `String[]` | `getSecurityRoles()`
    `String` | `getTermsOfServiceUrl()`
    `String` | `getTitle()`
    `String` | `getVersion()`
    `boolean` | `isEnabled()`
    `boolean` | `isPrettyPrint()`
    `void` | `setAuthSchemes(String[] authSchemes)`
    `void` | `setContact(String contact)`
    `void` | `setDescription(String description)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setHost(String host)`
    `void` | `setLicense(String license)`
    `void` | `setLicenseUrl(String licenseUrl)`
    `void` | `setPath(String path)`
    `void` | `setPrettyPrint(boolean prettyPrint)`
    `void` | `setResourcePackage(String resourcePackage)`
    `void` | `setSchemes(String[] schemes)`
    `void` | `setSecurityRoles(String[] securityRoles)`
    `void` | `setTermsOfServiceUrl(String termsOfServiceUrl)`
    `void` | `setTitle(String title)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PATH

          public static final String DEFAULT_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SwaggerConfigurationProperties

          public SwaggerConfigurationProperties()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getResourcePackage

          public String getResourcePackage()

    - #### setResourcePackage

          public void setResourcePackage(String resourcePackage)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getSchemes

          public String[] getSchemes()

    - #### setSchemes

          public void setSchemes(String[] schemes)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getTermsOfServiceUrl

          public String getTermsOfServiceUrl()

    - #### setTermsOfServiceUrl

          public void setTermsOfServiceUrl(String termsOfServiceUrl)

    - #### getContact

          public String getContact()

    - #### setContact

          public void setContact(String contact)

    - #### getLicense

          public String getLicense()

    - #### setLicense

          public void setLicense(String license)

    - #### getLicenseUrl

          public String getLicenseUrl()

    - #### setLicenseUrl

          public void setLicenseUrl(String licenseUrl)

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### isPrettyPrint

          public boolean isPrettyPrint()

    - #### setPrettyPrint

          public void setPrettyPrint(boolean prettyPrint)

    - #### getAuthSchemes

          public String[] getAuthSchemes()

    - #### setAuthSchemes

          public void setAuthSchemes(String[] authSchemes)

    - #### getSecurityRoles

          public String[] getSecurityRoles()

    - #### setSecurityRoles

          public void setSecurityRoles(String[] securityRoles)

    - #### getApiGroups

          public List<SwaggerConfigurationProperties.ApiGroupConfiguration> getApiGroups()

Copyright © 2017 The Holon Platform. All rights reserved.